Better bootstrap.sh script. It now checks for dependencies and supports
downloading via either wget or curl. It also prints a message on how to
download the file manually in case neither utility is found. Update URL
to use new download location.
author |
Eliot <fadookie@gmail.com> |
date |
Sat, 10 Sep 2011 01:35:47 -0700 |
parents |
7942222da830
|
children |
9020faafe119
|
branches/tags |
(none) |
files |
bundled/bootstrap.sh |
Changes
--- a/bundled/bootstrap.sh Fri Sep 02 20:10:35 2011 -0400
+++ b/bundled/bootstrap.sh Sat Sep 10 01:35:47 2011 -0700
@@ -1,4 +1,26 @@
#!/usr/bin/env bash
+#Enforce variables must be set
+set -u
+
+#Check for dependencies on downloader programs
+which -s curl
+CURL_INSTALLED=$?
+which -s wget
+WGET_INSTALLED=$?
+
+#Enforce strict error checking for the rest of the script
+set -e
+
+URL='https://s3.amazonaws.com/MinecraftDownload/launcher/minecraft_server.jar?v=1311305402832'
+
cd bundled
-wget http://www.minecraft.net/download/minecraft_server.jar?v=1311305402832 -O minecraft_server.jar
+
+if [ $WGET_INSTALLED -eq 0 ]; then
+ wget "$URL" -O minecraft_server.jar
+elif [ $CURL_INSTALLED -eq 0 ]; then
+ curl -o minecraft_server.jar "$URL"
+else
+ echo "No downloader found. Please download the following file in your browser and move it to the 'clojurecraft/bundled' folder: $URL"
+ exit 1
+fi